Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA.portable
Interface ResponseHandler

public interface ResponseHandler

This interface is supplied by an ORB to a servant at invocation time and allows the servant to later retrieve an OutputStream for returning the invocation results.

Method Summary
`OutputStream` | `createExceptionReply()` Called by the servant during a method invocation.
`OutputStream` | `createReply()` Called by the servant during a method invocation.

Method Detail

### createReply

    public OutputStream createReply()

  Called by the servant during a method invocation. The servant should call this method to create a reply marshal buffer if no exception occurred.

  Returns:
    an OutputStream suitable for marshalling the reply.
  See Also:
    `portable` package comments for unimplemented features

### createExceptionReply

    public OutputStream createExceptionReply()

  Called by the servant during a method invocation. The servant should call this method to create a reply marshal buffer if a user exception occurred.

  Returns:
    an OutputStream suitable for marshalling the exception ID and the user exception body.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.